<!DOCTYPE html>
<html lang="it">
<head>
  <meta charset="UTF-8">
  <title>Argo Wikimetrics</title>
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta charset="utf-8">
  <meta http-equiv="Access-Control-Allow-Origin" content="*" />
  <link rel="stylesheet" href="https://tools-static.wmflabs.org/cdnjs/ajax/libs/twitter-bootstrap/4.0.0/css/bootstrap.min.css" />
  <link rel="stylesheet" href="/assets/style.css" />
  <link rel="stylesheet" href="/assets/linechart.css" />
  <style>
    body {
      height: 100%;
      flex-direction: column;
      min-height: 100vh;
      display: flex;
    }
  </style>
</head>
<body>
<header id="mobile-header-bar"></header>
<header id="topbar" class="row top_bar"></header>
<!-- Content -->
<main id="main-container">
  <section class="mb-5" >
    <div class="row mt-4 mx-5 mb-3">
      <h1 id="jobName"></h1>
    </div>
    <div class="row">
      <div class="col-3 col-md-1 ml-5">
        <button id="showFilters" type="submit" class="btn btn-primary mr-2" onclick="toggleFilters()">FILTER</button>
      </div>
      <div class="col-5">
        <div class="dropdown">
          <button class="btn btn-primary dropdown-toggle" type="button" id="dropdownMenu2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            USERS PER PAGE
          </button>
          <div class="dropdown-menu" aria-labelledby="userSelect">
            <button class="dropdown-item" type="button" onclick="setItemsPerPage(10)">10</button>
            <button class="dropdown-item" type="button" onclick="setItemsPerPage(20)">20</button>
            <button class="dropdown-item" type="button" onclick="setItemsPerPage(50)">50</button>
            <button class="dropdown-item" type="button" onclick="setItemsPerPage(100)">100</button>
          </div>
        </div>
      </div>
      <div class="col-5">
        <button id="downloadCsv" type="submit" class="btn btn-primary float-right" onclick="downloadCsv()">DOWNLOAD</button>
      </div>
    </div>
    <div id="filterContainers" class="row mx-0">
      <div class="mx-5 my-3 col-xs-12 results p-0">
        <div class="row px-3 m-0 py-3 filterHeaderTable">
          <h2>FILTERS</h2>
        </div>
        <div class="row mx-0">
          <div class="form-group col-12 col-md-6 " id="languagesContainer">
            <label class="col-form-label-lg mx-3 my-2" for="languagesBlock">LANGUAGES</label>
            <div class="row mx-5 my-0 py-0">
              <div id="languagesBlock" class="form-check col-6 col-xs-12 my-0 py-0">
                <input class="form-check-input form-control-lg" type="checkbox" id="itLang" value="IT">
                <label class="form-check-label col-form-label-lg" for="itLang">ITALIAN</label>
              </div>
              <div class="form-check col-6 col-xs-12 my-0 py-0" >
                <input class="form-check-input" type="checkbox" id="frLang" value="FR">
                <label class="form-check-label col-form-label-lg" for="frLang">FRENCH</label>
              </div>
              <div class="form-check col-6 col-xs-12 my-0 py-0">
                <input class="form-check-input" type="checkbox" id="enLang" value="EN">
                <label class="form-check-label col-form-label-lg" for="enLang">ENGLISH</label>
              </div>
              <div class="form-check col-6 col-xs-12 my-0 py-0">
                <input class="form-check-input" type="checkbox" id="alsLang" value="ALS">
                <label class="form-check-label col-form-label-lg" for="alsLang">ALEMANNIC</label>
              </div>
              <div class="form-check col-6 col-xs-12 my-0 py-0">
                <input class="form-check-input" type="checkbox" id="deLang" value="DE">
                <label class="form-check-label col-form-label-lg" for="deLang">GERMAN</label>
              </div>
              <div class="form-check col-6 col-xs-12 my-0 py-0">
                <input class="form-check-input" type="checkbox" id="rmLang" value="RM">
                <label class="form-check-label col-form-label-lg" for="rmLang">ROMANSH</label>
              </div>
            </div>
            <label class="col-form-label-lg mx-2" for="minAnzianità">SENIORITY</label>
            <div class="row mx-2">
              <div class="dropdown">
                <input type="date" class="form-control" id="minAnzianità" placeholder="Minimum date">
              </div>
            </div>
            <label class="col-form-label-lg mx-2" for="minlast_white_edit">LATEST EDIT</label>
            <div class="row mx-2">
              <div class="dropdown">
                <input type="date" class="form-control" id="minlast_white_edit" placeholder="Minimum date">
              </div>
            </div>
          </div>
          <div class="form-group col-6 col-xs-12">
            <label class="col-form-label-lg my-2" for="minEditNumberSelect">EDIT NUMBER</label>
            <div class="row">
              <div class="dropdown col-4">
                <select class="custom-select" id="minEditNumberSelect">
                  <option value="eq" selected>EQUAL</option>
                  <option value="gt">GREATER</option>
                  <option value="gte">GREATER AND EQUAL</option>
                  <option value="lt">LOWER</option>
                  <option value="lte">LOWER AND EQUAL</option>
                </select>
              </div>
              <input type="number" class="form-control col-6" id="minEditNumber" placeholder="Edits number">
            </div>
            <label class="col-form-label-lg my-2" for="minWhiteEditNumberSelect">NUMBER OF RELEVANT EDITS </label>
            <div class="row">
              <div class="dropdown col-4">
                <select class="custom-select" id="minWhiteEditNumberSelect">
                  <option value="eq" selected>EQUAL</option>
                  <option value="gt">GREATER</option>
                  <option value="gte">GREATER AND EQUAL</option>
                  <option value="lt">LOWER</option>
                  <option value="lte">LOWER AND EQUAL</option>
                </select>
              </div>
              <input type="number" class="form-control col-6" id="minWhiteEditNumber" placeholder="NUMBER OF RELEVANT EDITS">
            </div>
            <label class="col-form-label-lg" for="numberActiveProjects">NUMBER OF ACTIVE PROJECTS</label>
            <div class="row">
              <div class="dropdown col-4">
                <select class="custom-select" id="numberActiveProjectsSelect">
                  <option value="eq" selected>EQUAL</option>
                  <option value="gt">GREATER</option>
                  <option value="gte">GREATER AND EQUAL</option>
                  <option value="lt">LOWER</option>
                  <option value="lte">LOWER AND EQUAL</option>
                </select>
              </div>
              <input type="number" class="form-control col-6" id="numberActiveProjects" placeholder="NUMBER OF ACTIVE PROJECTS">
            </div>
            <label class="col-form-label-lg my-1" for="numberCreatedPagesSelect">TOTAL PAGES CREATED</label>
            <div class="row my-1">
              <div class="dropdown col-4">
                <select class="custom-select" id="numberCreatedPagesSelect">
                  <option value="eq" selected>EQUAL</option>
                  <option value="gt">GREATER</option>
                  <option value="gte">GREATER AND EQUAL</option>
                  <option value="lt">LOWER</option>
                  <option value="lte">LOWER AND EQUAL</option>
                </select>
              </div>
              <input type="number" class="form-control col-6" id="numberCreatedPages" placeholder="NUMBER PAGES CREATED">
            </div>
          </div>
        </div>
        <div class="row text-center my-3" style="margin-left: 30%;">
          <div class="mr-5">
            <button type="submit" class="btn btn-secondary" onclick="clearFilters()">CLEAR</button>
          </div>
          <div>
            <button type="submit" class="btn btn-primary" onclick="filterJobUsers()">APPLY</button>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="mx-5 my-1 col-11 col-xs-12 overflow-x-auto">
        <table class="table thead-light">
          <caption></caption>
          <thead>
          <tr>
            <th scope="col" data-toggle="tooltip" title="Users">Users
              <span class="sortSelector desc"  id="sort_username" onclick="setSort('username',this)"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of edits of the user">Total edits
              <span class="sortSelector desc selected"  id="sort_all_edits" onclick="setSort('all_edits',this,'total')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of edits of the user in italian">IT
              <span class="sortSelector desc"  id="sort_all_edits_it" onclick="setSort('all_edits',this,'it')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of edits of the user in french">FR
              <span class="sortSelector desc"  id="sort_all_edits_fr" onclick="setSort('all_edits',this,'fr')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of edits of the user in english">EN
              <span class="sortSelector desc"  id="sort_all_edits_en" onclick="setSort('all_edits',this,'en')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of edits of the user in german">DE
              <span class="sortSelector desc"  id="sort_all_edits_de" onclick="setSort('all_edits',this,'de')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of edits of the user in romansh">RM
              <span class="sortSelector desc"  id="sort_all_edits_rm" onclick="setSort('all_edits',this,'rm')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of edits of the user in alemannic">ALS
              <span class="sortSelector desc"  id="sort_all_edits_als" onclick="setSort('all_edits',this,'als')"></span>
            </th>
            <th scope="col" data-toggle="tooltip"
                title="The total number of edits on the pages selected by the search, excluding reverts and new pages">
                Total relevant edits
              <span class="sortSelector desc" id="sort_white_edits" onclick="setSort('white_edits',this,'total')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of relevant edits of the user in italian">IT
              <span class="sortSelector desc"  id="sort_white_edits_it" onclick="setSort('white_edits',this,'it')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of relevant edits of the user in french">FR
              <span class="sortSelector desc"  id="sort_white_edits_fr" onclick="setSort('white_edits',this,'fr')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of relevant edits of the user in english">EN
              <span class="sortSelector desc"  id="sort_white_edits_en" onclick="setSort('white_edits',this,'en')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of relevant edits of the user in german">DE
              <span class="sortSelector desc"  id="sort_white_edits_de" onclick="setSort('white_edits',this,'de')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of relevant edits of the user in romansh">RM
              <span class="sortSelector desc"  id="sort_white_edits_rm" onclick="setSort('white_edits',this,'rm')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The total number of relevant edits of the user in alemannic">ALS
              <span class="sortSelector desc"  id="sort_white_edits_als" onclick="setSort('white_edits',this,'als')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The date of the first relevant edit">Seniority
              <span class="sortSelector desc" id="sort_first_all_edit_asc" onclick="setSort('first_all_edit',this)"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The number of languages with at least one relevant edit">Active projects
              <span class="sortSelector desc" id="sort_languages" onclick="setSort('languages',this)"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The number of created pages among the pages selected by the search">Total pages created
              <span class="sortSelector desc" id="sort_total_created_pages" onclick="setSort('total_created_pages',this,'total')"></span>
            </th>
            <th scope="col" data-toggle="tooltip" title="The date of the last relevant edit">Last edit
              <span class="sortSelector desc" id="sort_last_white_edit" onclick="setSort('last_white_edit',this)"></span>
            </th>
            <th scope="col"></th>
          </tr>
          </thead>
          <tbody id="jobRes">
          </tbody>
        </table>
        <div class="text-center my-1" style="margin-right: 5rem">
          <ul id="usersPagination" class="pagination"></ul>
        </div>
      </div>
    </div>
    <div class=" row mt-4 mx-5 mb-3">
      <h1>Graphs</h1>
      <div class="col-5 col-xs-12">
        <div class="dropdown">
          <button class="btn btn-primary dropdown-toggle" type="button" id="groupbydropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            GROUP BY
          </button>
          <div class="dropdown-menu">
            <button class="dropdown-item" type="button" onclick="setGroup('d')">Day</button>
            <button class="dropdown-item" type="button" onclick="setGroup('m')">Month</button>
            <button class="dropdown-item" type="button" onclick="setGroup('y')">Year</button>
          </div>
        </div>
      </div>
    </div>
    <h2 class=" row my-3 mx-5">Relevant edits by language over time</h2>
    <div class="mx-5 my-3 col-10 col-xs-12 results" id="jobGraph"></div>
    <h2 class=" row my-3 mx-5">Relevant edits by entity over time</h2>
    <div class="mx-5 my-3 col-10 col-xs-12 results" id="entityGraph"></div>
  </section>
</main>
<footer id="footerbar" class="footer_bar"></footer>
<script type="text/javascript" src="https://tools-static.wmflabs.org/cdnjs/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script type="text/javascript" src="https://tools-static.wmflabs.org/cdnjs/ajax/libs/twbs-pagination/1.4.2/jquery.twbsPagination.min.js"></script>
<script type="text/javascript" src="https://tools-static.wmflabs.org/cdnjs/ajax/libs/twitter-bootstrap/4.4.1/js/bootstrap.bundle.min.js"></script>
<script type="text/javascript" src="https://tools-static.wmflabs.org/cdnjs/ajax/libs/mustache.js/3.1.0/mustache.min.js"></script>
<script type="text/javascript" src="https://tools-static.wmflabs.org/cdnjs/ajax/libs/moment.js/2.24.0/moment.min.js"></script>
<script type="text/javascript" src="https://tools-static.wmflabs.org/cdnjs/ajax/libs/d3/5.15.0/d3.min.js"></script>
<script type="text/javascript" src="/js/loader.js"></script>
<script type="text/javascript" src="/js/utils.js"></script>
<script type="text/javascript" src="/js/loadJobUsers.js"></script>
</body>
</html>